Subject: Re: [6lowpan] [ADs] AUTH48 [MF]: RFC 6282 <draft-ietf-6lowpan-hc-15.txt>

From: Carsten Bormann <[email-masked]>
Date: Mon, 8 Aug 2011 19:44:12 +0200

OK, I have reread all the messages, and I'm now ready to declare a (rough) consensus for

	Compression Format for IPv6 Datagrams over IEEE 802.15.4-based Networks

(with an ever so slight edge for the -based, which is different from RFC 4944, but "Datagrams" is different, too).

While there were a number of voices for keeping 6LoWPAN in the title (as in RFC 4919), there did not seem to be consensus for that.

I apologize for holding up this RFC for so long for what is pretty much a bikeshed color issue.

And, yes, I'm slowly getting back to IETF work, and will try to start popping the stack.

Gruesse, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 8 Aug 2011 19:57:42 +0200

On Jul 23, 2011, at 21:10, Timothy J. Salo wrote:

> "6lowpan", I believe, fails the test of speaking to a broader audience
> and having longevity.  Today, few people know what 6lowpan means, and
> in the future it will be merely an interesting (or not-so-interesting)
> historical footnote.  Using "6lowpan" feels sort of like using a
> development code name for a marketing name.

I find that position interesting, because it reflects a perception that is quite different from mine.

Let's ask the universal arbiter in all matters terminology:

http://www.google.com/search?q=zigbee
"zigbee - Google Search" -- 7,100,000
http://www.google.com/search?q=802.15.4
"802.15.4 - Google Search" -- 2,020,000
http://www.google.com/search?q=6lowpan
"6lowpan - Google Search" -- 388,000

Depending on your google cookies, you may get different numbers, but one thing is clear:

While 6lowpan does not have the age and the marketing power of zigbee, it sure shows a presence.

If you google recent journalistic news, you find gems such as

http://www.greentechmedia.com/articles/read/android-bulb-to-run-on-6lowpan-standard/
"Google's Android Bulb to Run on 6LowPAN Standard : Greentech Media"
http://www.prweb.com/releases/2011/7/prweb8635665.htm
"ZigBee/802.15.4 Module Revenues to Approach $1.7 Billion in 2015" -- “One of the most disruptive developments over the past couple of years is the emergence of IPv6/6LoWPAN,” 
http://www.infoworld.com/d/data-center/10-technologies-will-change-the-world-in-the-next-10-years-184
"10 technologies that will change the world in the next 10 years | Data Center - InfoWorld"

And 6lowpan has already started a family:
Kerry Lynn named his brilliant IPv6 over MS/TP proposal "6lobac".

I'd say the term 6lowpan definitely has arrived, and we should not hesitate to use it as a shorthand for the "IPv6 right to the embedded/wireless sensor node" approach.

Gruesse, Carsten

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 9 Aug 2011 19:04:37 +0200

Hello Megan

I think that for consistency:

   LOWPAN_HC1 and LOWPAN_HC2 are insufficient for most practical uses of
   IPv6 in 6LoWPANs.  LOWPAN_HC1 is most effective for link-local

Should also become

   LOWPAN_HC1 and LOWPAN_HC2 are insufficient for most practical uses of
   IPv6 in IEEE 802.15.4-Based Networks. LOWPAN_HC1 is most effective
for link-local

Don't you think?

Pascal

> -----Original Message-----
> From: Megan Ferguson [mailto:[email-masked]]
> Sent: Tuesday, August 09, 2011 5:02 PM
> To: Carsten Bormann; Ralph Droms (rdroms); Pascal Thubert (pthubert)
> Cc: 6lowpan; RFC Editor; [email-masked]
> Subject: Re: [6lowpan] [ADs] AUTH48 [MF]: RFC 6282
<draft-ietf-6lowpan-hc-
> 15.txt>
> 
> Carsten, Pascal, and *ADs,
> 
> Thank you for your reply.  We have updated the title as requested.
Please
> note that we have also updated the expansion of 6LoWPAN (in the text)
to
> match that in the title of RFC 4919.  Additionally, we have updated
the short
> title that appears in the running header of the document (this is best
> reviewed in the text file below).  Please review and approve these
updates
> or let us know if a different approach in either of these additional
updates
> would be preferable.
> 
> http://www.rfc-editor.org/authors/rfc6282-lastdiff.html
> 
> The text, XML, and comprehensive diff files are viewable at:
> 
> http://www.rfc-editor.org/authors/rfc6282.txt
> http://www.rfc-editor.org/authors/rfc6282.xml
> http://www.rfc-editor.org/authors/rfc6282-diff.html
> 
> Note that it may be necessary for you to refresh your browser to view
> the most recent version of the document.  Please review the document
> carefully to ensure satisfaction as we do not make changes once the
> document has been published as an RFC.
> 
> Upon careful review, please contact us with any further updates or
with
> your approval of the document in its current form.
> 
> For the AUTH48 status of this document, please see:
> 
> http://www.rfc-editor.org/auth48/rfc6282
> 
> Thank you.
> 
> RFC Editor/mf
> 
> On Aug 8, 2011, at 1:44 PM, Carsten Bormann wrote:
> 
> > OK, I have reread all the messages, and I'm now ready to declare a
(rough)
> consensus for
> > (with an ever so slight edge for the -based, which is different from
RFC
> 4944, but "Datagrams" is different, too).
> >
> > While there were a number of voices for keeping 6LoWPAN in the title
(as
> in RFC 4919), there did not seem to be consensus for that.
> >
> > I apologize for holding up this RFC for so long for what is pretty
much a
> bikeshed color issue.
> >
> > And, yes, I'm slowly getting back to IETF work, and will try to
start popping
> the stack.

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 10 Aug 2011 20:25:26 +0200

On Aug 10, 2011, at 20:15, Ralph Droms wrote:

> Following up on Pascal's observation, I looked through the entire doc for occurrences of "6lopwan".  In my opinion, all of those occurrences could be replaced with "IEEE802.15.4-based network"; in some cases s/the 6lowpan/an IEEE802.15.4-based network/   In either case, note the lower-case "network".

Hmm, I'm not so sure that actually improves the text.  (Consistency is the hob...)
(I'm not even sure about Pascal's observation, because the reason for the insufficiency of HC1 is not with IEEE802.15.4, but with the way we use it in 6LoWPANs.)

I actually think Megan's most recent version is perfect, and we should ship that.

Gruesse, Carsten

> 
> Not meaning to delay the publication process further, but I think we should take a second to consider consistency...
> 
> - Ralph
> 
> On Aug 9, 2011, at 1:04 PM 8/9/11, Pascal Thubert (pthubert) wrote:
> 
>> Hello Megan
>>

---

From: geoff <[email-masked]>
Date: Wed, 10 Aug 2011 12:50:34 -0600

I completely agree with Carsten.  HC1 is not applicable to 802.15.4
networks in general but to 6lowpan networks - they are different.

I think we need to stop willy-nilly changes and get this document
published.

	geoff

On Wed, 2011-08-10 at 20:25 +0200, Carsten Bormann wrote:
> _______________________________________________
> 6lowpan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowpan

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 10 Aug 2011 21:18:10 +0200

On Aug 10, 2011, at 21:02, Ralph Droms wrote:

> I thought it might be good to suggest a consistent naming scheme.

Yes, maybe we could do a better job on the next 6lowpan WG document (ND) -- pre-AUTH48.

Gruesse, Carsten

---

From: Ralph Droms <[email-masked]>
Date: Wed, 10 Aug 2011 15:21:50 -0400

Megan - to be clear, I'm satisfied that the most recent version of the document is ready to publish...

- Ralph

On Aug 10, 2011, at 3:02 PM 8/10/11, Ralph Droms wrote:

> Well, characterizations as "willy-nilly" aside, I took the time to follow through the trail of definitions so as to know exactly what a reference like "The 6LoWPAN adaptation format" actually means.  As RFC 4944 variously uses "IEEE802.15.4 network", "6LoWPAN"  and "LoWPAN, I thought it might be good to suggest a consistent naming scheme.
> 
> However, I'm willing to leave the doc the way it is; as I wrote, I don't mean to delay the publication process, just trying to help.
> 
> - Ralph
> 
> On Aug 10, 2011, at 2:50 PM 8/10/11, geoff wrote:
>

---

From: geoff <[email-masked]>
Date: Wed, 10 Aug 2011 13:36:32 -0600

Ralph, sorry for my frustration coming through in my message and it was
not directed at you.  

I agree that consistency is good, but 6lowpan is an industry term and
subset of 15.4 networks and is specific and is what the HC drafts are
targeted at.

I think that draft should stay as is and let's please move this forward.

	geoff

---

From: geoff <[email-masked]>
Date: Wed, 10 Aug 2011 13:37:17 -0600

Thank you.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 11 Aug 2011 09:59:10 +0200

Carsten:

You do not understand. My observation is not about HC1's insufficiency.
It is about the fact that we agreed that the network we are talking
about is a "IEEE802.15.4-based network" as opposed to an "6LoWPAN".

Pascal

> From: Carsten Bormann [mailto:[email-masked]]
> Sent: Wednesday, August 10, 2011 8:25 PM
> To: Ralph Droms (rdroms)
> Cc: Pascal Thubert (pthubert); Megan Ferguson; 6lowpan; RFC Editor;
> [email-masked]
<draft-ietf-6lowpan-hc-
> > Following up on Pascal's observation, I looked through the entire
doc for
> occurrences of "6lopwan".  In my opinion, all of those occurrences
could be
> replaced with "IEEE802.15.4-based network"; in some cases s/the
> 6lowpan/an IEEE802.15.4-based network/   In either case, note the
lower-
> case "network".
> 
> Hmm, I'm not so sure that actually improves the text.  (Consistency is
the
> hob...)
> (I'm not even sure about Pascal's observation, because the reason for
the
> insufficiency of HC1 is not with IEEE802.15.4, but with the way we use
it in
> 6LoWPANs.)
> 
> I actually think Megan's most recent version is perfect, and we should
ship
> that.
> 
> Gruesse, Carsten
> 
> >
> > Not meaning to delay the publication process further, but I think we
should
> take a second to consider consistency...
> >
> > - Ralph
> >

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 11 Aug 2011 10:04:22 +0200

Hi Megan;

I do 100% agree with Ralph here. I'd prefer that we make that change
before publish. Apart from that, I'm perfectly happy with the text as it
stands.

Cheers,

Pascal

> From: Ralph Droms (rdroms)
> Sent: Wednesday, August 10, 2011 8:15 PM
> To: Pascal Thubert (pthubert)
> Cc: Ralph Droms (rdroms); Megan Ferguson; Carsten Bormann; 6lowpan;
RFC
> Editor; [email-masked]
<draft-ietf-6lowpan-hc-
> 15.txt>
> 
> Following up on Pascal's observation, I looked through the entire doc
for
could be
lower-
should

---

From: Robert Cragie <[email-masked]>
Date: Thu, 11 Aug 2011 09:43:14 +0100

Unfortunately, when a term enters the vernacular, its meaning often gets 
misinterpreted (e.g. for 'ZigBee', read '802.15.4'; for '6lowpan stack', 
read 'some proprietary stack which uses 6lowpan-hc in there somewhere').

For that reason, I don't think we should get too hung up about what 
6lowpan is now considered to mean. In other words - let's publish.

Robert

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 11 Aug 2011 11:36:26 +0200

> about is a "IEEE802.15.4-based network" as opposed to an "6LoWPAN".

Pascal: In the WG, we agreed about a title for that document.
Not about doing a wholesale replacement of the term "6LoWPAN" in all documents by "IEEE802.15.4-based network".
I would expect the outcome for a call for consensus to be different for the latter.
In any case, this is not the kind of change to make at AUTH48.  There is no emergency caused by the usage.

Please indicate to the RFC editor that you agree with publishing the document now.

Gruesse, Carsten

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 11 Aug 2011 18:01:40 +0200

Carsten, 

You are the one who started this, and you are the one who delayed our
work all that time. So please keep your commands to yourself.

Like I said I prefer the change that Ralph indicates as it follows my
reading of the consensus.

Regardless I was happy with the initial AUTH48 text as I'm happy with
that text. Engineering is often about good enough and never about
perfection.

Pascal

> Sent: Thursday, August 11, 2011 11:36 AM
> Cc: Ralph Droms (rdroms); Megan Ferguson; 6lowpan; RFC Editor;
6lowpan-
> [email-masked]
<draft-ietf-6lowpan-hc-
> Not about doing a wholesale replacement of the term "6LoWPAN" in all
> documents by "IEEE802.15.4-based network".
> I would expect the outcome for a call for consensus to be different
for the
> latter.
> In any case, this is not the kind of change to make at AUTH48.  There
is no
> emergency caused by the usage.
>

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 11 Aug 2011 18:07:43 +0200

Hi Megan;

Same here.

I'm not longing for any perfection. I trust an engineer that needs to
implement this spec can certainly do it with the current text and I'm
happy with it as I was before that episode.

As far as I am concerned we are ready to publish. Thanks a huge bunch
for your efforts and sorry for all those discussions.

Cheers,

Pascal

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Ralph Droms
> Sent: Wednesday, August 10, 2011 9:22 PM
> To: Megan Ferguson
> Cc: Ralph Droms (rdroms); RFC Editor; geoff Mulligan; Carsten Bormann;
> 6lowpan 6lowpan; [email-masked]
> Subject: Re: [6lowpan] [ADs] AUTH48 [MF]: RFC
6282<draft-ietf-6lowpan-hc-
> > Well, characterizations as "willy-nilly" aside, I took the time to
follow
> through the trail of definitions so as to know exactly what a
reference like
> "The 6LoWPAN adaptation format" actually means.  As RFC 4944 variously
> uses "IEEE802.15.4 network", "6LoWPAN"  and "LoWPAN, I thought it
might
> be good to suggest a consistent naming scheme.
> >
> > However, I'm willing to leave the doc the way it is; as I wrote, I
don't mean
> to delay the publication process, just trying to help.
> >
> > - Ralph
> >
doc
> for occurrences of "6lopwan".  In my opinion, all of those occurrences
could
> be replaced with "IEEE802.15.4-based network"; in some cases s/the
lower-
> case "network".
> >>>
> >>> Hmm, I'm not so sure that actually improves the text.
(Consistency is the
> the insufficiency of HC1 is not with IEEE802.15.4, but with the way we
use it in
> ship that.
> should take a second to consider consistency...
> >>>>
> >>>> - Ralph
> >>>>
> >>>>>> Note that it may be necessary for you to refresh your browser
to
> view
> >>>>>>> 	Compression Format for IPv6 Datagrams over IEEE
802.15.4-
> based
> >>>>>> Networks

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 11 Aug 2011 18:50:49 +0200

On Aug 11, 2011, at 18:01, Pascal Thubert (pthubert) wrote:

> You are the one who started this

No, Pascal, I can't let that stand.
*Your* unexplicable, unilateral post-WGLC change of the title started this.

It is one of my jobs as a WG chair to make sure the editors of a WG document don't run around the WG process result.
It didn't help that I didn't have much time in the last couple of months and didn't pay much attention, so the result was a long delay -- I should have fixed this earlier and quicker.
But in any case, if you want the process to run smoothly, don't play tricks with it.

Gruesse, Carsten